Subject: Re: [i2c] SFC driver implements its own I2C support

From: Riku Voipio <[email-masked]>
Date: Thu, 15 May 2008 15:03:28 +0300

Ben Hutchings wrote:
>> Using the standard I2C implementation will give you access to all the
>> i2c debugging tools, user-space access to the I2C bus if needed, and
>> compatibility with all the Linux i2c device drivers, including hardware
>> monitoring and GPIO drivers which apparently the SFC hardware uses.
>>     
>
> Right.  But the most immediate requirement is that we be able to
> configure I2C devices from the sfc driver.  Most of our reference
> designs require that as part of their initialisation.

That's how many DVB adapter drivers already work. Although
I'm not sure which one would be cleanest and simplest example.